petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatSeqDenseSetPreallocation

Sets the array used for storing the matrix elements

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSeqDenseSetPreallocation(Mat B,PetscScalar data[])

Collective on MPI_Comm Many br

### Input Parameters

| B | - the matrix Many br
| data | - the array (or NULL) Many br

### Notes

The data input variable is intended primarily for Fortran programmers Many brwho wish to allocate their own matrix memory space. Most users should Many brneed not call this routine. Many br

Many br

### Keywords

dense, matrix, LAPACK, BLAS

### See Also

MatCreate(), MatCreateDense(), MatSetValues(), MatSeqDenseSetLDA()

Level:intermediate
Location:src/mat/impls/dense/seq/dense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex30.c.html